<?php

namespace xenarabia\MYMMSMSG\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class CatMyMms extends Entity
{
	 
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xa_cat_my_mms';
		$structure->shortName = 'xenarabia\MYMMSMSG\XF:CatMyMms';
		$structure->primaryKey = 'cat_id';
		$structure->columns = [
			'cat_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'cat_title' => ['type' => self::STR, 'required' => 'mms_please_enter_cat_title'],	
            'cat_act' => ['type' => self::UINT, 'default' => 0]
		];
		$structure->getters = [];
		$structure->relations = [
			'CatMsgs' => [
				'entity' => 'xenarabia\MYMMSMSG\XF:MmsMsgs',
				'type' => self::TO_ONE,
				'conditions' => [['mms_cat_id', '=', '$cat_id']],
				'primary' => true
            ]
		];
		
		
		return $structure;
    }
    
}